iOS5、Xcode4.2で iPhone apps with a deployment target lower than 4.3 should include an armv6 architecture (current IPHONEOS_DEPLOYMENT_TARGET = “xcode4.2”
とか表示されたらarmv6の記述がないということですので、$(ARCHS_STANDARD_32_BIT)を削除して、armv6、armv7を追加してあげてください。

armv6でコンパイルできるようになります。